- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions

# QPrintPreviewWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qprintpreviewwidget.h.

`#include <qprintpreviewwidget.h>`

Inheritance diagram for QPrintPreviewWidget:
[legend]

List of all members.

## Public Types
enum | ViewMode { SinglePageView, FacingPagesView, AllPagesView }
enum | ZoomMode { CustomZoom, FitToWidth, FitInView }
## Public Slots
void | print ()
void | zoomIn (qreal zoom=1.1)
void | zoomOut (qreal zoom=1.1)
void | setZoomFactor (qreal zoomFactor)
void | setOrientation (QPrinter::Orientation orientation)
void | setViewMode (ViewMode viewMode)
void | setZoomMode (ZoomMode zoomMode)
void | setCurrentPage (int pageNumber)
void | fitToWidth ()
void | fitInView ()
void | setLandscapeOrientation ()
void | setPortraitOrientation ()
void | setSinglePageViewMode ()
void | setFacingPagesViewMode ()
void | setAllPagesViewMode ()
void | updatePreview ()
## Signals
void | paintRequested (QPrinter *printer)
void | previewChanged ()
## Public Member Functions
| QPrintPreviewWidget (QPrinter *printer, QWidget *parent=0, Qt::WindowFlags flags=0)
| QPrintPreviewWidget (QWidget *parent=0, Qt::WindowFlags flags=0)
| ~QPrintPreviewWidget ()
qreal | zoomFactor () const
QPrinter::Orientation | orientation () const
ViewMode | viewMode () const
ZoomMode | zoomMode () const
int | currentPage () const
int | pageCount () const
void | setVisible (bool visible)

## Member Enumeration Documentation

enum ViewMode

Search for all occurrences

Enumerator:

  SinglePageView | Search for all occurrences
  FacingPagesView | Search for all occurrences
  AllPagesView | Search for all occurrences

Definition at line 64 of file qprintpreviewwidget.h.

                      {
            SinglePageView,
            FacingPagesView,
            AllPagesView
        };

enum ZoomMode

Search for all occurrences

Enumerator:

  CustomZoom | Search for all occurrences
  FitToWidth | Search for all occurrences
  FitInView | Search for all occurrences

Definition at line 70 of file qprintpreviewwidget.h.

                      {
            CustomZoom,
            FitToWidth,
            FitInView
        };

## Constructor & Destructor Documentation

QPrintPreviewWidget | ( | QPrinter * | printer,
|  | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[explicit]`

QPrintPreviewWidget | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[explicit]`

~QPrintPreviewWidget | ( |  | ) |

## Member Function Documentation

qreal zoomFactor | ( |  | ) | const

Search for all occurrences

QPrinter::Orientation orientation | ( |  | ) | const

Search for all occurrences

ViewMode viewMode | ( |  | ) | const

Search for all occurrences

ZoomMode zoomMode | ( |  | ) | const

Search for all occurrences

int currentPage | ( |  | ) | const

Search for all occurrences

int pageCount | ( |  | ) | const

Search for all occurrences

void setVisible | ( | bool | visible | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void print | ( |  | ) | `[slot]`

Search for all occurrences

void zoomIn | ( | qreal | zoom = `1.1` | ) | `[slot]`

Search for all occurrences

void zoomOut | ( | qreal | zoom = `1.1` | ) | `[slot]`

Search for all occurrences

void setZoomFactor | ( | qreal | zoomFactor | ) | `[slot]`

Search for all occurrences

void setOrientation | ( | QPrinter::Orientation | orientation | ) | `[slot]`

Search for all occurrences

void setViewMode | ( | ViewMode | viewMode | ) | `[slot]`

Search for all occurrences

void setZoomMode | ( | ZoomMode | zoomMode | ) | `[slot]`

Search for all occurrences

void setCurrentPage | ( | int | pageNumber | ) | `[slot]`

Search for all occurrences

void fitToWidth | ( |  | ) | `[slot]`

Search for all occurrences

void fitInView | ( |  | ) | `[slot]`

Search for all occurrences

void setLandscapeOrientation | ( |  | ) | `[slot]`

Search for all occurrences

void setPortraitOrientation | ( |  | ) | `[slot]`

Search for all occurrences

void setSinglePageViewMode | ( |  | ) | `[slot]`

Search for all occurrences

void setFacingPagesViewMode | ( |  | ) | `[slot]`

Search for all occurrences

void setAllPagesViewMode | ( |  | ) | `[slot]`

Search for all occurrences

void updatePreview | ( |  | ) | `[slot]`

Search for all occurrences

void paintRequested | ( | QPrinter * | printer | ) | `[signal]`

Search for all occurrences

void previewChanged | ( |  | ) | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qprintpreviewwidget.h

QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget
QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget QPrintPreviewWidget